geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kevan Miller <kevan.mil...@gmail.com>
Subject Re: [DISCUSSION] change 2.2 branch build JDK from 6 to 5
Date Fri, 18 Jun 2010 11:15:38 GMT

On Jun 17, 2010, at 11:18 PM, chi runhua wrote:

> 
> 
> On Fri, Jun 18, 2010 at 10:36 AM, Shawn Jiang <genspring@gmail.com> wrote:
> Right, stay with SE 5.   But document that there might be some potential issue(e.g. webservice
problems caused by SE 6 bundled saaj and jaxb) when working with SE 6.
> 
> So far, we have document for G2.2 at [1] as below:
>  
> Geronimo v2.2 can be built on Java SE 6 and provide support to JAXB/JAX-WS version2 implementation,
and its assemblies also supports Java 5 and 6 run-time environments. 
> 
> Plan to update as:
> 
> Geronimo v2.2 can be built on Java SE 6 and provide support to JAXB/JAX-WS version2 implementation,
and its assemblies also supports Java 5 and 6 run-time environments.  Note that server assemblies
are built based on Java 5 SDK by default, there will be some potential issues with web services
features especially when using SAAJ and JAXB components at Java 6 run-time environment.
> 
> Any comments?

As a project, we've always run our TCK tests on a single platform (hardware, OS, JDK). 

If there are known problems running Geronimo on Java 6, I'd like to know about them. AFAIK,
we have some setup/configuration issues running TCK on Java 6. This does not mean there are
runtime issues on Java 6. 

--kevan
Mime
View raw message